const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '系统首页', leftArrow: false, useBar: false },
    // 主体高度
    infoHeight: '',
  },
  toLogin: function (e) {
    let value = e.currentTarget.dataset.type;
    wx.redirectTo({ url: `/pages/${value}/index`, })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 监听用户是否登录
    // this.watchLogin();
    // 计算高度
    this.searchHeight();
  },
  // 监听用户是否登录
  watchLogin: function () {
    // 获取openid
    wx.login({
      success: res => {
        const { code: js_code } = res
        wx.request({
          url: `${app.globalData.publicUrl}/api/hc/wx/openid?js_code=` + js_code,
          method: "get",
          success: res => {
            const { errcode, openid } = res.data;
            if (errcode === 0) app.globalData.wxInfo = { openid };
            wx.getStorage({
              key: 'user',
              success: res => {
                // 已经登录，去home页面
                if (res.data) wx.redirectTo({ url: '/pages/home/index', })
              },
              fail: res => {
                // 没有登录，使用openid登录，登录成功去home页面，登录失败去login页面
                wx.request({
                  url: app.globalData.publicUrl + `/api/hc/user/login`,
                  method: "post",
                  data: { openid: openid },
                  header: {},
                  success: (res) => {
                    console.log(res);
                    if (res.data.errcode == '0') {
                      // 登录成功，去home页面
                      wx.setStorage({ key: "user", data: res.data.data });
                      app.globalData.userInfo = res.data.data;
                      wx.navigateTo({ url: `/pages/home/index` })
                    } else {
                      // openid登录没有用户，去登录
                      wx.navigateTo({ url: `/pages/login/index` })
                    }
                  },
                })
              }
            })
          },
          error: err => { }
        })
      }
    })

  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})